CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
send.c File Reference
`#include <stdarg.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <sys/types.h>`
`#include <unistd.h>`
`#include <netdb.h>`
`#include <sys/socket.h>`
`#include <sys/un.h>`
`#include "lo_types_internal.h"`
`#include "lo/lo.h"`

Go to the source code of this file.

## Macros
#define | MSG_NOSIGNAL 0
#define | geterror() errno

## Functions
static int | resolve_address (lo_address a)
static int | create_socket (lo_address a)
static int | send_data (lo_address a, lo_server from, char *data, const size_t data_len)
int | lo_message_add_varargs_internal (lo_message m, const char *types, va_list ap, const char *file, int line)
int | lo_send (lo_address t, const char *path, const char *types,...)
| Send a OSC formatted message to the address specified.
int | lo_send_timestamped (lo_address t, lo_timetag ts, const char *path, const char *types,...)
| Send a OSC formatted message to the address specified, scheduled to be dispatch at some time in the future.
int | lo_send_from (lo_address to, lo_server from, lo_timetag ts, const char *path, const char *types,...)
| Send a OSC formatted message to the address specified, from the same socket as the specificied server.
int | lo_send_message (lo_address a, const char *path, lo_message msg)
| Send a lo_message object to target targ.
int | lo_send_message_from (lo_address a, lo_server from, const char *path, lo_message msg)
| Send a lo_message object to target targ from address of serv.
int | lo_send_bundle (lo_address a, lo_bundle b)
| Send a lo_bundle object to address targ.
int | lo_send_bundle_from (lo_address a, lo_server from, lo_bundle b)
| Send a lo_bundle object to address targ from address of serv.

## Macro Definition Documentation

#define MSG_NOSIGNAL 0

Definition at line 47 of file send.c.

Referenced by send_data().

#define geterror | ( |  | ) | errno

Definition at line 57 of file send.c.

Referenced by create_socket(), and send_data().

## Function Documentation

static int resolve_address | ( | lo_address | a | ) |
| static

Definition at line 275 of file send.c.

References LO_TCP, and LO_UDP.

Referenced by send_data().

static int create_socket | ( | lo_address | a | ) |
| static

Definition at line 304 of file send.c.

References geterror, LO_TCP, LO_UDP, and LO_UNIX.

Referenced by send_data().

static int send_data | ( | lo_address | a,
|  | lo_server | from,
|  | char * | data,
|  | const size_t | data_len
| ) |  |
| static

Definition at line 373 of file send.c.

References create_socket(), geterror, lo_client_sockets, LO_MAX_MSG_SIZE, LO_TCP, LO_UDP, MSG_NOSIGNAL, resolve_address(), and lo_cs::udp.

Referenced by lo_send_bundle_from(), and lo_send_message_from().